Package org.linphone.core

# Class FriendListenerStub

java.lang.Object
org.linphone.core.FriendListenerStub

All Implemented Interfaces:
  `FriendListener`

public class FriendListenerStub extends Object implements FriendListener

## Constructor Summary

Constructors
Constructor
Description
`FriendListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onPresenceReceived(Friend linphoneFriend)`
Get the presence received callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FriendListenerStub

public FriendListenerStub()

## Method Details

### onPresenceReceived

public void onPresenceReceived(Friend linphoneFriend)
Description copied from interface: `FriendListener`
Get the presence received callback.

Specified by:
  `onPresenceReceived` in interface `FriendListener`